body.m-theme__dark .m-wire-channel--call-to-action > button {
  background-color: #232323;
  color: #fff;

  .ion-icon {
    color: #fff;
  }
}

m-wire-channel {
  display: block;
  font-family: 'Roboto', sans-serif;

  .mdl-card {
    margin-bottom: 8px;

    m-tooltip {
      margin-left: 8px;

      i {
        font-size: 16px !important;
        @include m-theme() {
          color: themed($m-grey-400);
        }
      }
    }
  }

  .m-wire-channel--edit-button {
    display: inline-block;
    vertical-align: middle;

    > button {
      appearance: none;
      outline: none;
      border: none;
      border-radius: 4px;
      padding: 4px;
      margin-left: $minds-padding;
      font-size: 14px;
      background: transparent;
      cursor: pointer;
      @include m-theme() {
        color: themed($m-grey-400);
      }

      &:hover {
        @include m-theme() {
          color: themed($m-grey-600);
        }
      }
    }
  }

  .m-wire-channel--totals {
    display: flex;
    flex: 1;
    align-items: flex-end;
    text-align: right;

    .m-wire-channel--totals-total {
      flex: 1;

      .m-wire-channel--totals-number {
        font-size: 18px;
        letter-spacing: 2.5px;
        @include m-theme() {
          color: themed($m-blue) !important;
        }
      }
      .m-wire-channel--totals-period {
        font-size: 11px;
      }
    }
  }

  .m-wire-channel--rewards {
    padding-top: 0;
    box-sizing: border-box;
    tr {
      cursor: pointer;
    }
  }

  .m-wire-channel--description,
  .m-wire-channel--description-editor {
    line-height: 1.3;
    letter-spacing: 0.5px;
    margin: 0 0 ($minds-padding * 2);
  }

  .m-wire-channel--description {
    white-space: pre-line;
  }

  .m-wire-channel--description-editor {
    width: 100%;
    min-height: 60px;
    border-radius: 3px;
    padding: $minds-padding;
    box-sizing: border-box;
    text-align: left !important;
    resize: none !important;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    @include m-theme() {
      border: 1px solid themed($m-grey-50);
    }
  }

  .m-wire-channel--reward-description > textarea {
    margin-top: 8px;
    margin-bottom: 16px;
    font-size: 11px;
    padding: 8px;
    font-weight: 500;
    text-align: left !important;
    width: 100%;
    @include m-theme() {
      color: themed($m-grey-800);
    }
  }

  .m-wire-channel--rewards {
    width: 100%;
    @include m-theme() {
      color: themed($m-grey-800);
    }
  }

  .m-wire-channel--selector {
    text-align: right;
    position: absolute;
    right: 0;

    > span,
    > button {
      vertical-align: middle;
    }

    > span {
      @include m-theme() {
        color: themed($m-grey-200);
      }
    }
  }

  .m-wire-channel--empty-rewards {
    text-align: center;
    font-size: 12px;
    @include m-theme() {
      color: themed($m-grey-300);
    }
  }

  .m-wire-channel--reward-amount span {
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 0.25px;
    text-transform: uppercase;
    flex: 1;
    @include m-theme() {
      color: themed($m-grey-800);
    }
  }

  .m-wire-channel--reward-description p {
    font-size: 11px;
    line-height: 1.4;
    margin-top: 4px;
  }

  .m-wire-channel--reward-send-wire {
    text-align: right;
    @include m-theme() {
      color: themed($m-blue);
    }
  }

  .m-wire-channel--reward-amount,
  .m-wire-channel--reward-description {
    font-weight: 400;
    span {
      padding-right: $minds-padding;
    }
  }

  .m-wire-channel--reward-amount {
    display: flex;
    flex-direction: row;
    align-items: center;
    min-width: 3.5em;
    font-size: 32px;
    letter-spacing: 1px;

    > input {
      width: 54px;
      padding: 8px;
      margin-right: 8px;
      font-size: 16px;
      font-weight: 600;
      border-radius: 3px;
      @include m-theme() {
        border: 1px solid themed($m-grey-50);
        background-color: themed($m-grey-50);
      }
    }
  }

  .m-wire-channel--rewards--add-tier {
    text-align: center;
    padding: 16px;

    > a {
      cursor: pointer;
      @include m-theme() {
        color: themed($m-grey-800);
      }

      > * {
        vertical-align: middle;
      }
    }
  }

  .m-wire-channel--call-to-action {
    margin-bottom: $minds-margin * 2;

    > button {
      display: flex;
      align-items: center;
      width: 100%;
      appearance: none;
      border: none;
      border-radius: 4px;
      padding: $minds-padding * 2;
      font-family: 'Roboto', sans-serif;
      font-size: 32px;
      font-weight: 200;
      text-transform: uppercase;
      cursor: pointer;

      background-color: #4caf50;
      color: #fff;

      &:focus {
        outline: none;
      }

      .ion-icon {
        font-size: inherit;
        transform: scale(1.5);
        margin: 0 24px 0 18px;
        color: #fff;
      }
    }

    .m-wire-channel--cta-label {
      flex-grow: 1;
      letter-spacing: 2.5px;
      text-align: left;

      > span {
        display: block;
      }
    }

    .m-wire-channel--cta-legend {
      text-transform: initial;
      letter-spacing: 0.5px;
      font-size: 8px;
      font-weight: 500;
    }
  }

  m--crypto-token-symbol {
    .m--crypto-token-symbol--stroke {
      @include m-theme() {
        stroke: themed($m-blue-grey-500);
      }
    }

    .m--crypto-token-symbol--fill {
      @include m-theme() {
        fill: themed($m-blue-grey-500);
      }
    }
  }
}
